/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.adaptive.media.image.internal.util;

/**
 * @author Adolfo Pérez
 */
public class Tuple<S, T> {

	public static final <U, V> Tuple<U, V> of(U first, V second) {
		return new Tuple<>(first, second);
	}

	public final S first;
	public final T second;

	private Tuple(S first, T second) {
		this.first = first;
		this.second = second;
	}

}